From 981d6b04871e6c6545c85d91ac65b7b3919203b1 Mon Sep 17 00:00:00 2001
From: Lindsay Evans <linz@linz.id.au>
Date: Tue, 24 Apr 2012 12:09:27 +1000
Subject: [PATCH] Adding support for IE8 for setting <style> contents

---
 outline.js | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/outline.js b/outline.js
index ecfefae..c65bc88 100644
--- a/outline.js
+++ b/outline.js
@@ -5,11 +5,16 @@
 	var style_element = d.createElement('STYLE'),
 	    dom_events = 'addEventListener' in d,
 	    add_event_listener = function(type, callback){
+			// Basic cross-browser event handling
 			if(dom_events){
 				d.addEventListener(type, callback);
 			}else{
 				d.attachEvent('on' + type, callback);
 			}
+		},
+	    set_css = function(css_text){
+			// Handle setting of <style> element contents in IE8
+			!!style_element.styleSheet ? style_element.styleSheet.cssText = css_text : style_element.innerHTML = css_text;
 		}
 	;
 
@@ -17,11 +22,11 @@
 
 	// Using mousedown instead of mouseover, so that previously focused elements don't lose focus ring on mouse move
 	add_event_listener('mousedown', function(){
-		style_element.innerHTML = 'a{outline:none}';
+		set_css('a { outline: none; }');
 	});
 
 	add_event_listener('keydown', function(){
-		style_element.innerHTML = '';
+		set_css('');
 	});
 
 })(document);
